Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:27 2009

## Asterisk developer's documentation

# ast_channel Struct Reference

`#include <channel.h>`

Collaboration diagram for ast_channel:

[legend]

## Data Fields

struct ast_channel * | _bridge
int | _softhangup
int | _state
char | accountcode [AST_MAX_ACCOUNT_CODE]
int | adsicpe
int | alertpipe [2]
int | amaflags
char * | appl
pthread_t | blocker
const char * | blockproc
char | call_forward [AST_MAX_EXTENSION]
ast_group_t | callgroup
struct ast_cdr * | cdr
int | cdrflags
struct ast_callerid | cid
char | context [AST_MAX_CONTEXT]
char * | data
struct ast_frame | dtmff
char | dtmfq [AST_MAX_EXTENSION]
char | exten [AST_MAX_EXTENSION]
int | fdno
int | fds [AST_MAX_FDS]
unsigned int | fin
unsigned int | flags
unsigned int | fout
struct ast_generator * | generator
void * | generatordata
int | hangupcause
unsigned long | insmpl
char | language [MAX_LANGUAGE]
ast_mutex_t | lock
char | macrocontext [AST_MAX_CONTEXT]
char | macroexten [AST_MAX_EXTENSION]
int | macropriority
struct ast_channel * | masq
struct ast_channel * | masqr
struct ast_channel_monitor * | monitor
void * | music_state
char | musicclass [MAX_MUSICCLASS]
char | name [AST_CHANNEL_NAME]
int | nativeformats
struct ast_channel * | next
int | oldwriteformat
unsigned long | outsmpl
struct ast_pbx * | pbx
ast_group_t | pickupgroup
int | priority
int | rawreadformat
int | rawwriteformat
int | readformat
struct ast_frame * | readq
struct ast_trans_pvt * | readtrans
int | rings
struct sched_context * | sched
struct ast_channel_spy_list * | spies
struct ast_filestream * | stream
int | streamid
struct ast_channel_tech * | tech
void * | tech_pvt
void * | timingdata
int | timingfd
int(* | timingfunc )(void *data)
unsigned short | transfercapability
const char * | type
char | uniqueid [32]
struct varshead | varshead
struct ast_filestream * | vstream
int | vstreamid
time_t | whentohangup
int | writeformat
struct ast_trans_pvt * | writetrans
struct tone_zone * | zone

## Detailed Description

Main Channel structure associated with a channel. This is the side of it mostly used by the pbx and call management.

Definition at line 252 of file channel.h.

## Field Documentation

struct ast_channel* _bridge`[read]`

Who are we bridged to, if we're bridged. Who is proxying for us, if we are proxied (i.e. chan_agent). Do not access directly, use ast_bridged_channel(chan)

Definition at line 281 of file channel.h.

Referenced by action_agents(), action_status(), agent_bridgedchannel(), agent_hangup(), agent_read(), ast_bridged_channel(), ast_channel_bridge(), ast_channel_masquerade(), ast_generic_bridge(), check_bridge(), do_chanreads(), and handle_showchan().

int _softhangup

Whether or not we have been hung up... Do not set this value directly, use ast_softhangup

Definition at line 290 of file channel.h.

Referenced by __ast_pbx_run(), __oh323_update_info(), agi_exec(), ast_autoservice_stop(), ast_channel_bridge(), ast_check_hangup(), ast_do_masquerade(), ast_dsp_process(), ast_feature_request_and_dial(), ast_generic_bridge(), ast_queue_hangup(), ast_read(), ast_rtp_bridge(), ast_softhangup_nolock(), ast_waitfor_nandfds(), ast_waitstream(), ast_waitstream_exten(), ast_waitstream_fr(), ast_waitstream_full(), ast_write(), attempt_transfer(), autoservice_run(), builtin_atxfer(), check_bridge(), check_goto_on_transfer(), cleanup_connection(), conf_play(), dial_exec_full(), dundi_lookup_internal(), eagi_exec(), hangup_connection(), iax2_bridge(), iax2_destroy(), iax2_predestroy(), macro_exec(), run_ras(), try_calling(), zt_handle_event(), and zt_indicate().

int _state

State of line -- Don't write directly, use ast_setstate

Definition at line 326 of file channel.h.

Referenced by __ast_request_and_dial(), __login_exec(), __zt_exception(), action_status(), agent_hangup(), agent_read(), agi_exec_full(), alarmreceiver_exec(), alsa_read(), app_exec(), ast_answer(), ast_async_goto(), ast_cdr_init(), ast_channel_alloc(), ast_control_streamfile(), ast_do_masquerade(), ast_feature_request_and_dial(), ast_parse_device_state(), ast_pbx_outgoing_app(), ast_pbx_outgoing_exten(), ast_pickup_call(), ast_prod(), ast_quiet_chan(), ast_read(), ast_request(), ast_serialize_showchan(), ast_setstate(), async_wait(), attempt_transfer(), auth_exec(), available(), background_detect_exec(), bestdata_write(), builtin_atxfer(), check_goto_on_transfer(), conf_exec(), count_exec(), datetime_exec(), dial_exec_full(), directory_exec(), disa_exec(), do_chanreads(), do_monitor(), handle_answer(), handle_chanlist(), handle_channelstatus(), handle_request(), handle_request_invite(), handle_response_invite(), handle_showchan(), iax2_call(), ices_exec(), mgcp_answer(), mgcp_call(), milliwatt_exec(), misdn_call(), misdn_hangup(), modem_call(), modem_write(), monitor_handle_notowned(), monitor_handle_owned(), nbs_call(), nbs_xwrite(), oh323_answer(), oh323_call(), oh323_hangup(), oh323_indicate(), oss_read(), park_call_exec(), park_exec(), parkandannounce_exec(), pbx_builtin_answer(), pbx_builtin_background(), pbx_builtin_busy(), pbx_builtin_congestion(), phone_call(), phone_exception(), phone_write(), playback_exec(), privacy_exec(), read_exec(), record_exec(), release_chan(), rpt(), rpt_exec(), sayunixtime_exec(), send_waveform_to_channel(), sip_answer(), sip_call(), sip_hangup(), sip_indicate(), sip_transfer(), sip_write(), skel_exec(), skinny_answer(), skinny_call(), skinny_indicate(), sms_exec(), ss_thread(), testclient_exec(), testserver_exec(), try_calling(), vm_exec(), vm_execmain(), vpb_answer(), vpb_call(), vpb_fixup(), vpb_indicate(), vpb_write(), wait_for_answer(), zapateller_exec(), zapras_exec(), zt_answer(), zt_bridge(), zt_call(), zt_digit(), zt_fixup(), zt_handle_event(), zt_hangup(), zt_indicate(), and zt_read().

char accountcode[AST_MAX_ACCOUNT_CODE]

Account code for billing

Definition at line 361 of file channel.h.

Referenced by __oh323_new(), action_status(), ast_cdr_init(), ast_cdr_setaccount(), ast_cdr_update(), ast_channel_alloc(), ast_iax2_new(), dial_exec_full(), disa_exec(), features_call(), handle_chanlist(), local_call(), mgcp_new(), pbx_retrieve_variable(), rpt_call(), setup_env(), sip_new(), skinny_new(), wait_for_answer(), and zt_new().

int adsicpe

Whether or not ADSI is detected on CPE

Definition at line 365 of file channel.h.

Referenced by __adsi_transmit_messages(), adsi_available(), adsi_transmit_message_full(), ast_do_masquerade(), ast_iax2_new(), dial_exec_full(), iax2_call(), mgcp_new(), ring_entry(), sip_new(), skinny_new(), and zt_new().

int alertpipe[2]

Definition at line 402 of file channel.h.

Referenced by ast_channel_alloc(), ast_channel_free(), ast_do_masquerade(), ast_queue_frame(), ast_read(), restore_channel(), and update_features().

int amaflags

Set BEFORE PBX is started to determine AMA flags

Definition at line 359 of file channel.h.

Referenced by __ast_pbx_run(), __oh323_new(), ast_cdr_init(), ast_channel_alloc(), ast_iax2_new(), handle_chanlist(), mgcp_new(), sip_new(), skinny_new(), and zt_new().

char* appl

Current application

Definition at line 301 of file channel.h.

Referenced by ast_bridge_call(), ast_bridge_call_thread(), ast_channel_alloc(), ast_park_call(), ast_serialize_showchan(), handle_chanlist(), handle_showchan(), pbx_exec(), ring_entry(), rpt(), and rpt_exec().

pthread_t blocker

If anyone is blocking, this is them

Definition at line 294 of file channel.h.

Referenced by ast_do_masquerade(), ast_hangup(), ast_queue_frame(), ast_read(), and ast_softhangup_nolock().

const char* blockproc

Procedure causing blocking

Definition at line 298 of file channel.h.

Referenced by ast_hangup(), ast_serialize_showchan(), and handle_showchan().

char call_forward[AST_MAX_EXTENSION]

Where to forward to if asked to dial on this interface

Definition at line 367 of file channel.h.

Referenced by handle_response(), mgcp_new(), parse_moved_contact(), skinny_new(), wait_for_answer(), and zt_new().

ast_group_t callgroup

Definition at line 392 of file channel.h.

Referenced by ast_pickup_call(), ast_serialize_showchan(), handle_showchan(), mgcp_new(), read_config(), sip_new(), skinny_new(), vpb_new(), and zt_new().

struct ast_cdr* cdr`[read]`

Call Detail Record

Definition at line 363 of file channel.h.

Referenced by __agent_start_monitoring(), __ast_pbx_run(), __ast_request_and_dial(), __login_exec(), action_status(), agentmonitoroutgoing_exec(), appendcdruserfield_exec(), ast_answer(), ast_bridge_call(), ast_bridge_call_thread(), ast_cdr_appenduserfield(), ast_cdr_fork(), ast_cdr_setaccount(), ast_cdr_setamaflags(), ast_cdr_setuserfield(), ast_cdr_update(), ast_feature_request_and_dial(), ast_hangup(), ast_pbx_outgoing_app(), ast_pbx_outgoing_cdr_failed(), ast_pbx_outgoing_exten(), ast_read(), ast_serialize_showchan(), ast_set_callerid(), attempt_transfer(), builtin_function_cdr_read(), builtin_function_cdr_write(), custom_log(), dial_exec_full(), disa_exec(), forkcdr_exec(), handle_chanlist(), handle_request_info(), handle_showchan(), nocdr_exec(), ospfinished_exec(), pbx_builtin_resetcdr(), pbx_exec(), pickup_exec(), ring_entry(), setcdruserfield_exec(), start_monitor_exec(), try_calling(), and wait_for_answer().

int cdrflags

Call Detail Record Flags

Definition at line 287 of file channel.h.

Referenced by dial_exec_full(), features_call(), local_call(), wait_for_answer(), and zt_request().

struct ast_callerid cid`[read]`

Definition at line 337 of file channel.h.

Referenced by __ast_goto_if_exists(), __ast_pbx_run(), __login_exec(), __oh323_new(), action_agents(), action_status(), agent_call(), agentmonitoroutgoing_exec(), ast_app_dtget(), ast_cdr_init(), ast_cdr_setcid(), ast_cdr_update(), ast_channel_bridge(), ast_channel_free(), ast_do_masquerade(), ast_iax2_new(), ast_modem_new(), ast_park_call(), ast_parseable_goto(), ast_request(), ast_serialize_showchan(), ast_set_callerid(), ast_setstate(), ast_waitstream_exten(), background_detect_exec(), bestdata_handle_escape(), build_rpid(), builtin_atxfer(), builtin_automonitor(), builtin_blindtransfer(), callerid_read(), callerid_write(), cb_events(), console_transfer(), copy_message(), dial_exec_full(), disa_exec(), do_parking_thread(), features_call(), find_matching_endwhile(), get_callerid(), get_callerid_ast(), handle_chanlist(), handle_setpriority(), handle_showchan(), i4l_dial(), i4l_read(), iax2_call(), initreqprep(), join_queue(), launch_page(), leave_voicemail(), local_call(), lookupblacklist_exec(), lookupcidname_exec(), macro_exec(), manager_parking_status(), manager_queues_status(), mgcp_call(), mgcp_hangup(), mgcp_new(), mgcp_ss(), misdn_new(), misdn_write(), monitor_handle_owned(), oh323_call(), osplookup_exec(), oss_call(), park_exec(), parkandannounce_exec(), pbx_builtin_waitexten(), pbx_retrieve_variable(), phone_call(), privacy_exec(), queue_exec(), read_config(), ring_entry(), rpt_call(), rpt_exec(), senddialevent(), setcallerid_pres_exec(), setrdnis_exec(), setup_env(), sip_call(), sip_new(), skinny_call(), skinny_indicate(), skinny_new(), skinny_ss(), sms_exec(), ss_thread(), update_config(), valid_exit(), vm_authenticate(), vpb_new(), wait_for_answer(), write_metadata(), zapateller_exec(), zt_call(), zt_handle_dtmfup(), zt_handle_event(), and zt_new().

char context[AST_MAX_CONTEXT]

Current extension context

Definition at line 340 of file channel.h.

Referenced by __ast_goto_if_exists(), __ast_pbx_run(), __ast_request_and_dial(), __login_exec(), __oh323_new(), _while_exec(), action_status(), agent_new(), agentmonitoroutgoing_exec(), alsa_new(), aqm_exec(), ast_async_goto(), ast_cdr_init(), ast_cdr_update(), ast_channel_alloc(), ast_explicit_goto(), ast_iax2_new(), ast_masq_park_call(), ast_modem_new(), ast_park_call(), ast_parseable_goto(), ast_pbx_outgoing_exten(), ast_serialize_showchan(), ast_waitstream_exten(), async_wait(), auth_exec(), background_detect_exec(), builtin_atxfer(), builtin_blindtransfer(), chanavail_exec(), channel_find_locked(), check_availability(), conf_run(), console_transfer(), controlplayback_exec(), dial_exec_full(), dialout(), disa_exec(), do_immediate_setup(), do_parking_thread(), dundi_lookup_exec(), enumlookup_exec(), find_matching_endwhile(), forward_message(), get_cid_name(), get_exec(), gosub_exec(), group_check_exec(), handle_chanlist(), handle_setcontext(), handle_setpriority(), handle_showchan(), hasvoicemail_exec(), i4l_read(), iax2_call(), iax_park(), leave_voicemail(), local_new(), lookupblacklist_exec(), macro_exec(), md5check_exec(), mgcp_new(), mgcp_ss(), misdn_call(), misdn_hangup(), monitor_handle_owned(), nbs_new(), onedigit_goto(), ospfinished_exec(), osplookup_exec(), ospnext_exec(), oss_new(), parkandannounce_exec(), pbx_builtin_background(), pbx_builtin_goto(), pbx_builtin_waitexten(), pbx_extension_helper(), pbx_retrieve_variable(), playback_exec(), pqm_exec(), print_bc_info(), privacy_exec(), process_ast_dsp(), random_exec(), read_config(), realtime_exec(), release_chan(), ring_entry(), rpt_call(), rpt_exec(), rqm_exec(), sendimage_exec(), sendtext_exec(), sendurl_exec(), setup_env(), sip_getheader(), sip_new(), sip_park(), skinny_new(), skinny_ss(), ss_thread(), system_exec_helper(), transfer_exec(), try_calling(), txtcidname_exec(), upqm_exec(), vm_box_exists(), vm_exec(), vpb_new(), wait_for_answer(), zt_handle_dtmfup(), and zt_new().

char* data

Data passed to current application

Definition at line 303 of file channel.h.

Referenced by ast_bridge_call(), ast_bridge_call_thread(), ast_channel_alloc(), ast_park_call(), ast_serialize_showchan(), handle_chanlist(), handle_showchan(), handle_verbose(), pbx_exec(), retrydial_exec(), ring_entry(), rpt(), and rpt_exec().

struct ast_frame dtmff`[read]`

DTMF frame

Definition at line 354 of file channel.h.

Referenced by ast_read().

char dtmfq[AST_MAX_EXTENSION]

Any/all queued DTMF characters

Definition at line 352 of file channel.h.

Referenced by ast_read().

char exten[AST_MAX_EXTENSION]

Current extension number

Definition at line 348 of file channel.h.

Referenced by __ast_goto_if_exists(), __ast_pbx_run(), __ast_request_and_dial(), __login_exec(), __oh323_new(), _while_exec(), action_status(), agent_new(), agentmonitoroutgoing_exec(), alsa_new(), aqm_exec(), ast_async_goto(), ast_cdr_init(), ast_cdr_update(), ast_channel_alloc(), ast_explicit_goto(), ast_iax2_new(), ast_masq_park_call(), ast_modem_new(), ast_park_call(), ast_parseable_goto(), ast_pbx_outgoing_exten(), ast_serialize_showchan(), async_wait(), auth_exec(), builtin_atxfer(), builtin_blindtransfer(), cb_events(), chanavail_exec(), channel_find_locked(), controlplayback_exec(), dial_exec_full(), dialout(), do_immediate_setup(), do_parking_thread(), dundi_exec(), dundi_helper(), dundi_lookup_exec(), enumlookup_exec(), find_matching_endwhile(), forward_message(), get_cid_name(), get_exec(), gosub_exec(), group_check_exec(), handle_chanlist(), handle_setextension(), handle_setpriority(), handle_showchan(), hasvoicemail_exec(), i4l_read(), iax_park(), leave_voicemail(), local_new(), lookupblacklist_exec(), macro_exec(), md5check_exec(), mgcp_new(), mgcp_ss(), misdn_bridge(), misdn_call(), misdn_digit(), misdn_hangup(), misdn_indication(), misdn_new(), misdn_show_cls(), misdn_write(), monitor_handle_owned(), nbs_new(), ospfinished_exec(), osplookup_exec(), ospnext_exec(), oss_new(), park_call_exec(), parkandannounce_exec(), pbx_builtin_background(), pbx_builtin_goto(), pbx_builtin_waitexten(), pbx_extension_helper(), pbx_retrieve_variable(), play_mailbox_owner(), playback_exec(), pqm_exec(), print_bc_info(), privacy_exec(), process_ast_dsp(), random_exec(), read_config(), realtime_exec(), release_chan(), ring_entry(), rpt_call(), rpt_exec(), rqm_exec(), sendimage_exec(), sendtext_exec(), sendurl_exec(), setup_env(), sip_getheader(), sip_new(), sip_park(), skinny_indicate(), skinny_new(), skinny_ss(), ss_thread(), system_exec_helper(), transfer_exec(), try_calling(), txtcidname_exec(), upqm_exec(), vm_box_exists(), vm_exec(), vpb_new(), wait_for_answer(), zt_handle_dtmfup(), and zt_new().

int fdno

Which fd had an event detected on

Definition at line 306 of file channel.h.

Referenced by agent_read(), ast_do_masquerade(), ast_read(), ast_waitfor_nandfds(), do_parking_thread(), and sip_rtp_read().

int fds[AST_MAX_FDS]

File descriptor for channel -- Drivers will poll on these file descriptors, so at least one must be non -1.

Definition at line 267 of file channel.h.

Referenced by __oh323_new(), __zt_exception(), alsa_new(), ast_channel_alloc(), ast_do_masquerade(), ast_modem_new(), ast_serialize_showchan(), ast_waitfor_nandfds(), build_conf(), conf_run(), do_parking_thread(), flash_exec(), handle_showchan(), mgcp_new(), misdn_new(), modem_write(), nbs_new(), oss_new(), phone_call(), rbi_out(), restore_channel(), rmt_telem_finish(), rpt(), rpt_call(), rpt_exec(), rpt_tele_thread(), run_ras(), send_morse(), send_tone_telemetry(), send_waveform_to_channel(), serial_remote_io(), setformat(), sip_new(), skinny_new(), spawn_ras(), start_rtp(), swap_subs(), update_features(), zapras_exec(), zt_bridge(), and zt_new().

unsigned int fin

Definition at line 380 of file channel.h.

Referenced by ast_channel_alloc(), ast_read(), ast_serialize_showchan(), handle_debugchan(), handle_nodebugchan(), and handle_showchan().

unsigned int flags

channel flags of AST_FLAG_ type

Definition at line 396 of file channel.h.

Referenced by ast_channel_alloc().

unsigned int fout

Definition at line 381 of file channel.h.

Referenced by ast_channel_alloc(), ast_serialize_showchan(), ast_write(), handle_debugchan(), handle_nodebugchan(), and handle_showchan().

struct ast_generator* generator`[read]`

Current active data generator

Definition at line 276 of file channel.h.

Referenced by ast_activate_generator(), ast_channel_bridge(), ast_deactivate_generator(), ast_hangup(), ast_openstream_full(), ast_read(), cb_events(), and generator_force().

void* generatordata

Current generator data if there is any

Definition at line 274 of file channel.h.

Referenced by ast_activate_generator(), ast_deactivate_generator(), ast_hangup(), ast_quiet_chan(), ast_read(), ast_tonepair(), ast_write(), cb_events(), do_parking_thread(), generator_force(), play_tone_pair(), and rpt_tele_thread().

int hangupcause

Definition at line 387 of file channel.h.

Referenced by __ast_request_and_dial(), __oh323_update_info(), __transmit_response(), ast_do_masquerade(), ast_feature_request_and_dial(), ast_hangup(), ast_pbx_outgoing_app(), ast_pbx_outgoing_exten(), attempt_transmit(), cb_events(), dial_exec_full(), handle_response(), hangup_connection(), iax2_hangup(), misdn_call(), misdn_hangup(), oh323_hangup(), pbx_builtin_hangup(), pbx_retrieve_variable(), send_cause2ast(), sip_hangup(), socket_read(), ss_thread(), transmit_request_with_auth(), wait_for_answer(), zt_hangup(), and zt_indicate().

unsigned long insmpl

Track the read/written samples for monitor use

Definition at line 376 of file channel.h.

Referenced by ast_read(), and ast_write().

char language[MAX_LANGUAGE]

Language requested for voice prompts

Definition at line 263 of file channel.h.

Referenced by __login_exec(), agent_call(), agent_new(), alsa_new(), app_exec(), ast_app_getdata(), ast_app_getdata_full(), ast_app_getvoice(), ast_channel_alloc(), ast_control_streamfile(), ast_do_masquerade(), ast_iax2_new(), ast_modem_new(), ast_moh_files_next(), ast_park_call(), ast_play_and_prepend(), ast_play_and_record_full(), ast_play_and_wait(), ast_record_review(), ast_say_date_with_format_gr(), ast_say_number_full_gr(), ast_send_image(), auth_exec(), background_detect_exec(), background_file(), bridge_playfile(), builtin_atxfer(), builtin_automonitor(), builtin_blindtransfer(), builtin_function_language_read(), builtin_function_language_write(), chanspy_exec(), check_availability(), check_beep(), conf_exec(), conf_run(), copy_message(), count_exec(), datetime_exec(), dial_exec_full(), dictate_exec(), directory_exec(), do_directory(), features_call(), forward_message(), gen_nextfile(), get_folder(), handle_getoption(), handle_recordfile(), handle_sayalpha(), handle_saydate(), handle_saydatetime(), handle_saydigits(), handle_saynumber(), handle_sayphonetic(), handle_saytime(), handle_streamfile(), iax2_call(), invent_message(), ivr_dispatch(), leave_voicemail(), local_call(), mgcp_new(), mgcp_ss(), nbs_new(), oss_new(), page_exec(), park_exec(), parkandannounce_exec(), pbx_builtin_background(), pbx_builtin_saycharacters(), pbx_builtin_saydigits(), pbx_builtin_saynumber(), pbx_builtin_sayphonetic(), pbx_builtin_setlanguage(), pbx_retrieve_variable(), play_and_wait(), play_file(), play_mailbox_owner(), play_message(), play_message_callerid(), play_message_datetime(), play_message_duration(), play_record_review(), playback_exec(), privacy_exec(), read_config(), record_exec(), retrydial_exec(), rpt_tele_thread(), say_position(), saycharstr(), sayfile(), saynum(), sayunixtime_exec(), setup_env(), sip_new(), skinny_new(), skinny_ss(), ss_thread(), try_calling(), vm_authenticate(), vm_browse_messages(), vm_execmain(), vm_intro(), vm_intro_cz(), vm_intro_de(), vm_intro_en(), vm_intro_es(), vm_intro_fr(), vm_intro_gr(), vm_intro_it(), vm_intro_nl(), vm_intro_no(), vm_intro_pt(), vm_intro_se(), vm_play_folder_name(), vpb_new(), wait_file2(), and zt_new().

ast_mutex_t lock

Lock, can be used to lock a channel for some operations

Definition at line 296 of file channel.h.

Referenced by __oh323_destroy(), __sip_destroy(), action_getvar(), action_hangup(), action_redirect(), action_setcdruserfield(), action_setvar(), action_status(), action_timeout(), agent_hangup(), alsa_call(), ast_activate_generator(), ast_answer(), ast_async_goto(), ast_async_goto_by_name(), ast_call(), ast_channel_alloc(), ast_channel_free(), ast_channel_masquerade(), ast_check_hangup_locked(), ast_deactivate_generator(), ast_do_masquerade(), ast_hangup(), ast_indicate(), ast_monitor_change_fname(), ast_monitor_start(), ast_monitor_stop(), ast_parse_device_state(), ast_pbx_outgoing_app(), ast_pbx_outgoing_exten(), ast_pickup_call(), ast_queue_frame(), ast_queue_hangup(), ast_read(), ast_rtp_bridge(), ast_softhangup(), ast_transfer(), ast_write(), attempt_transfer(), auto_congest(), chan_ringing(), change_monitor_action(), channel_find_locked(), channel_spy(), check_bridge(), cleanup_connection(), complete_ch_helper(), conf_exec(), connection_made(), console_answer(), console_dial(), console_hangup(), console_sendtext(), do_chanreads(), do_monitor(), fast_originate(), func_header_read(), function_sipchaninfo_read(), get_sip_pvt_byid_locked(), grab_owner(), handle_chanlist(), handle_channelstatus(), handle_debugchan(), handle_getvariablefull(), handle_hangup(), handle_nodebugchan(), handle_request_invite(), handle_request_refer(), handle_showchan(), handle_softhangup(), hangup_connection(), iax2_destroy(), local_channel_walk(), local_queue_frame(), mgcp_queue_frame(), mgcp_queue_hangup(), mixmonitor_cli(), moh_on_off(), monitor_handle_owned(), oh323_rtp_read(), pbx_builtin_importvar(), pickup_exec(), progress(), retrans_pkt(), sendtext_exec(), set_format(), setrdnis_exec(), setup_rtp_connection(), sip_addheader(), sip_dtmfmode(), sip_getheader(), sip_park(), sip_park_thread(), sipsock_read(), socket_read(), softhangup_exec(), start_monitor_action(), start_spying(), startmon(), stop_monitor_action(), update_state(), wakeup_sub(), zap_queue_frame(), zt_bridge(), and zt_handle_event().

char macrocontext[AST_MAX_CONTEXT]

Current non-macro context

Definition at line 342 of file channel.h.

Referenced by ast_cdr_update(), ast_park_call(), builtin_atxfer(), builtin_blindtransfer(), channel_find_locked(), conf_run(), do_directory(), get_cid_name(), i4l_read(), leave_voicemail(), macro_exec(), monitor_handle_owned(), onedigit_goto(), process_ast_dsp(), and zt_handle_dtmfup().

char macroexten[AST_MAX_EXTENSION]

Current non-macro extension

Definition at line 344 of file channel.h.

Referenced by ast_cdr_update(), ast_park_call(), channel_find_locked(), dial_exec_full(), dundi_exec(), dundi_helper(), get_cid_name(), macro_exec(), and wait_for_answer().

int macropriority

Current non-macro priority

Definition at line 346 of file channel.h.

Referenced by ast_park_call(), and macro_exec().

struct ast_channel* masq`[read]`

Channel that will masquerade as us

Definition at line 283 of file channel.h.

Referenced by ast_channel_masquerade(), ast_do_masquerade(), ast_hangup(), ast_read(), ast_rtp_bridge(), ast_waitfor_nandfds(), and ast_write().

struct ast_channel* masqr`[read]`

Who we are masquerading as

Definition at line 285 of file channel.h.

Referenced by ast_channel_masquerade(), ast_do_masquerade(), ast_hangup(), ast_rtp_bridge(), and ast_write().

struct ast_channel_monitor* monitor`[read]`

Definition at line 373 of file channel.h.

Referenced by __agent_start_monitoring(), ast_channel_bridge(), ast_channel_free(), ast_do_masquerade(), ast_monitor_change_fname(), ast_monitor_setjoinfiles(), ast_monitor_start(), ast_monitor_stop(), ast_read(), and ast_write().

void* music_state

Music State

Definition at line 272 of file channel.h.

Referenced by ast_channel_free(), ast_moh_files_next(), local_ast_moh_cleanup(), local_ast_moh_stop(), moh_files_alloc(), moh_files_generator(), and moh_files_release().

char musicclass[MAX_MUSICCLASS]

Default music class

Definition at line 270 of file channel.h.

Referenced by __login_exec(), ast_do_masquerade(), dial_exec_full(), function_moh_read(), function_moh_write(), local_ast_moh_start(), moh2_exec(), read_config(), sip_new(), and zt_new().

char name[AST_CHANNEL_NAME]

ASCII unique channel name

Definition at line 254 of file channel.h.

Referenced by __adsi_transmit_messages(), __ast_pbx_run(), __login_exec(), __oh323_destroy(), __oh323_new(), __oh323_update_info(), __queues_show(), __sip_destroy(), __zt_exception(), action_agents(), action_status(), adsi_prog(), agent_bridgedchannel(), agent_call(), agent_new(), agent_read(), agent_write(), agents_show(), alarmreceiver_exec(), alsa_indicate(), alsa_new(), aqm_exec(), ast_app_getvoice(), ast_async_goto(), ast_bridge_call(), ast_bridge_call_thread(), ast_cdr_init(), ast_change_name(), ast_channel_alloc(), ast_channel_bridge(), ast_channel_free(), ast_channel_make_compatible(), ast_channel_masquerade(), ast_channel_spy_add(), ast_channel_start_silence_generator(), ast_channel_stop_silence_generator(), ast_do_masquerade(), ast_dsp_process(), ast_feature_interpret(), ast_feature_request_and_dial(), ast_generic_bridge(), ast_hangup(), ast_iax2_new(), ast_indicate(), ast_masq_park_call(), ast_modem_new(), ast_moh_files_next(), ast_monitor_change_fname(), ast_monitor_start(), ast_park_call(), ast_pbx_outgoing_app(), ast_pbx_outgoing_exten(), ast_pbx_run_app(), ast_pickup_call(), ast_play_and_prepend(), ast_play_and_record_full(), ast_playtones_start(), ast_prod(), ast_queue_frame(), ast_read(), ast_request(), ast_rtp_bridge(), ast_serialize_showchan(), ast_set_callerid(), ast_setstate(), ast_softhangup_nolock(), ast_write(), async_wait(), attempt_transfer(), attempt_transmit(), auto_congest(), background_detect_exec(), builtin_atxfer(), builtin_automonitor(), builtin_blindtransfer(), chanavail_exec(), channel_find_locked(), channel_spy(), chanspy_exec(), check_availability(), check_beep(), check_goto_on_transfer(), complete_ch_helper(), conf_exec(), conf_run(), console_transfer(), cpeid_exec(), dial_exec_full(), disa_exec(), do_chanreads(), do_monitor(), do_parking_thread(), do_senddigit(), do_waiting(), dumpchan_exec(), dundi_lookup_internal(), eagi_exec(), features_new(), features_show(), flash_exec(), get_chan_by_ast_name(), get_refer_info(), group_count_function_read(), group_show_channels(), handle_chanlist(), handle_debugchan(), handle_message(), handle_nodebugchan(), handle_parkedcalls(), handle_recordfile(), handle_request_refer(), handle_response(), handle_showchan(), handle_softhangup(), i4l_read(), iax2_bridge(), iax2_call(), iax2_hangup(), iax2_request(), iax2_transfer(), iax_park(), increase_call_count(), is_our_turn(), join_queue(), launch_monitor_thread(), leave_queue(), leave_voicemail(), linear_alloc(), linear_release(), local_get_channel_begin_name(), local_new(), local_queue_frame(), local_write(), locals_show(), macro_exec(), manager_parking_status(), manager_queues_status(), mgcp_answer(), mgcp_call(), mgcp_fixup(), mgcp_hangup(), mgcp_indicate(), mgcp_new(), mgcp_ss(), milliwatt_exec(), milliwatt_generate(), misdn_call(), misdn_hangup(), misdn_indication(), misdn_new(), misdn_show_cl(), misdn_transfer_bc(), modem_answer(), modem_call(), modem_digit(), modem_hangup(), moh0_exec(), moh1_exec(), moh3_exec(), moh_alloc(), moh_files_alloc(), moh_files_generator(), moh_files_release(), moh_generate(), moh_release(), monitor_handle_owned(), nbs_call(), nbs_hangup(), nbs_new(), nbs_xread(), oh323_answer(), oh323_call(), oh323_digit(), oh323_hangup(), ospfinished_exec(), osplookup_exec(), ospnext_exec(), oss_indicate(), oss_new(), page_exec(), park_exec(), parkandannounce_exec(), pbx_builtin_background(), pbx_builtin_waitexten(), pbx_extension_helper(), pbx_retrieve_variable(), phone_answer(), phone_call(), phone_hangup(), pickup_exec(), playback_exec(), playtones_alloc(), print_bc_info(), process_ast_dsp(), process_sdp(), queue_exec(), queue_frame_to_spies(), rbi_out(), realtime_exec(), receive_dtmf_digits(), record_exec(), ring_entry(), rpt(), rpt_exec(), rpt_tele_thread(), rqm_exec(), run_agi(), run_ras(), say_position(), saycharstr(), sayfile(), saynum(), send_digit_to_chan(), send_tone_burst(), senddialevent(), set_format(), setup_env(), sip_answer(), sip_call(), sip_hangup(), sip_new(), sip_park(), sip_rtp_read(), sip_sendtext(), sipsock_read(), skinny_answer(), skinny_call(), skinny_fixup(), skinny_hangup(), skinny_indicate(), skinny_new(), skinny_ss(), sms_exec(), sms_generate(), socket_read(), softhangup_exec(), spy_detach(), ss_thread(), start_monitor_action(), start_spying(), testclient_exec(), testserver_exec(), tonepair_alloc(), try_calling(), userevent_exec(), vpb_answer(), vpb_bridge(), vpb_call(), vpb_fixup(), vpb_hangup(), vpb_new(), vpb_request(), vpb_write(), wait_for_answer(), zap_fake_event(), zap_show_channel(), zapras_exec(), zt_answer(), zt_bridge(), zt_call(), zt_fixup(), zt_handle_dtmfup(), zt_handle_event(), zt_hangup(), zt_indicate(), zt_new(), zt_read(), zt_request(), zt_setoption(), and zt_write().

int nativeformats

Kinds of data this channel can natively handle

Definition at line 331 of file channel.h.

Referenced by __login_exec(), __oh323_new(), __oh323_update_info(), __sip_show_channels(), agent_call(), agent_new(), alsa_new(), ast_channel_bridge(), ast_channel_make_compatible(), ast_do_masquerade(), ast_generic_bridge(), ast_iax2_new(), ast_modem_new(), ast_read(), ast_serialize_showchan(), ast_streamfile(), builtin_atxfer(), chanavail_exec(), dial_exec_full(), echo_exec(), features_new(), free_translation(), handle_showchan(), iax2_bridge(), iax2_call(), iax2_request(), local_new(), mgcp_new(), mgcp_rtp_read(), mgcp_write(), misdn_new(), nbs_new(), oh323_rtp_read(), oh323_write(), oss_new(), process_sdp(), ring_entry(), set_format(), setup_rtp_connection(), sip_new(), sip_rtp_read(), sip_show_channel(), sip_write(), skinny_new(), skinny_rtp_read(), skinny_write(), socket_read(), update_features(), vpb_new(), wait_for_answer(), and zt_new().

struct ast_channel* next`[read]`

For easy linking

Definition at line 416 of file channel.h.

Referenced by ast_active_channels(), ast_begin_shutdown(), ast_channel_alloc(), ast_channel_free(), channel_find_locked(), and handle_common_options().

int oldwriteformat

Original writer format

Definition at line 318 of file channel.h.

Referenced by ast_openstream_full(), and ast_stopstream().

unsigned long outsmpl

Definition at line 377 of file channel.h.

Referenced by ast_read(), and ast_write().

struct ast_pbx* pbx`[read]`

PBX private structure

Definition at line 357 of file channel.h.

Referenced by __ast_pbx_run(), action_status(), ast_app_dtget(), ast_app_getdata(), ast_async_goto(), ast_channel_free(), ast_pbx_outgoing_app(), ast_pbx_outgoing_exten(), ast_pickup_call(), builtin_blindtransfer(), builtin_function_timeout_read(), builtin_function_timeout_write(), disa_exec(), handle_getoption(), ivr_dispatch(), pbx_builtin_dtimeout(), pbx_builtin_rtimeout(), pbx_builtin_waitexten(), read_newoption(), rpt_call(), and zt_handle_event().

ast_group_t pickupgroup

Definition at line 393 of file channel.h.

Referenced by ast_pickup_call(), ast_serialize_showchan(), handle_showchan(), mgcp_new(), read_config(), sip_new(), skinny_new(), vpb_new(), and zt_new().

int priority

Definition at line 350 of file channel.h.

Referenced by __ast_pbx_run(), __ast_request_and_dial(), __login_exec(), __oh323_new(), _while_exec(), action_originate(), action_status(), agent_new(), agentmonitoroutgoing_exec(), aqm_exec(), ast_channel_alloc(), ast_explicit_goto(), ast_masq_park_call(), ast_park_call(), ast_parseable_goto(), ast_pbx_outgoing_exten(), ast_serialize_showchan(), async_wait(), auth_exec(), builtin_atxfer(), builtin_blindtransfer(), chanavail_exec(), controlplayback_exec(), dial_exec_full(), dialout(), do_parking_thread(), dundi_lookup_exec(), enumlookup_exec(), find_matching_endwhile(), forward_message(), get_exec(), gosub_exec(), group_check_exec(), handle_chanlist(), handle_showchan(), hasvoicemail_exec(), iax_park(), leave_voicemail(), local_new(), lookupblacklist_exec(), macro_exec(), md5check_exec(), mgcp_new(), misdn_new(), ospfinished_exec(), osplookup_exec(), ospnext_exec(), park_call_exec(), parkandannounce_exec(), pbx_builtin_background(), pbx_builtin_goto(), pbx_builtin_waitexten(), pbx_extension_helper(), pbx_retrieve_variable(), playback_exec(), pqm_exec(), privacy_exec(), random_exec(), realtime_exec(), ring_entry(), rpt_call(), rpt_exec(), rqm_exec(), sendimage_exec(), sendtext_exec(), sendurl_exec(), setup_env(), sip_getheader(), sip_new(), sip_park(), skinny_new(), system_exec_helper(), transfer_exec(), txtcidname_exec(), upqm_exec(), vm_box_exists(), vm_exec(), and wait_for_answer().

int rawreadformat

Raw read format

Definition at line 408 of file channel.h.

Referenced by __oh323_new(), agent_new(), ast_do_masquerade(), ast_set_read_format(), do_chanreads(), features_new(), free_translation(), local_new(), mgcp_new(), misdn_new(), nbs_new(), phone_setup(), sip_new(), skinny_new(), vpb_new(), zt_new(), and zt_read().

int rawwriteformat

Raw write format

Definition at line 410 of file channel.h.

Referenced by __oh323_new(), agent_new(), ast_do_masquerade(), ast_prod(), ast_set_write_format(), features_new(), free_translation(), local_new(), mgcp_new(), misdn_new(), nbs_new(), sip_new(), skinny_new(), vpb_new(), and zt_new().

int readformat

Requested read format

Definition at line 333 of file channel.h.

Referenced by __login_exec(), __oh323_new(), __oh323_update_info(), adsi_transmit_message_full(), agent_new(), alsa_new(), ast_app_getvoice(), ast_async_goto(), ast_channel_bridge(), ast_channel_make_compatible(), ast_do_masquerade(), ast_iax2_new(), ast_masq_park_call(), ast_play_and_prepend(), ast_play_and_record_full(), ast_serialize_showchan(), ast_set_read_format(), background_detect_exec(), builtin_atxfer(), chanspy_exec(), check_goto_on_transfer(), dictate_exec(), do_waiting(), eagi_exec(), features_new(), handle_recordfile(), handle_showchan(), iax2_request(), iax_park(), ices_exec(), local_new(), measurenoise(), mgcp_new(), mgcp_rtp_read(), mgcp_write(), misdn_new(), nbs_new(), oh323_rtp_read(), oh323_write(), oss_new(), process_sdp(), record_exec(), setup_rtp_connection(), sip_new(), sip_park(), sip_rtp_read(), sip_write(), skinny_new(), skinny_rtp_read(), skinny_write(), socket_read(), update_features(), and zt_new().

struct ast_frame* readq`[read]`

Definition at line 401 of file channel.h.

Referenced by ast_channel_free(), ast_do_masquerade(), ast_queue_frame(), ast_read(), and check_bridge().

struct ast_trans_pvt* readtrans`[read]`

Read translation path

Definition at line 406 of file channel.h.

Referenced by ast_channel_free(), ast_read(), ast_set_read_format(), and free_translation().

int rings

Number of rings so far

Definition at line 328 of file channel.h.

Referenced by __oh323_new(), ast_modem_new(), ast_serialize_showchan(), cb_events(), handle_showchan(), mgcp_new(), mgcp_ss(), misdn_new(), modem_answer(), nbs_new(), phone_answer(), sip_new(), skinny_new(), ss_thread(), vpb_answer(), vpb_new(), zt_handle_event(), zt_new(), and zt_read().

struct sched_context* sched`[read]`

Schedule context

Definition at line 308 of file channel.h.

Referenced by ast_channel_alloc(), ast_channel_free(), ast_closestream(), ast_hangup(), ast_readaudio_callback(), ast_readvideo_callback(), ast_waitstream(), ast_waitstream_exten(), ast_waitstream_fr(), ast_waitstream_full(), and background_detect_exec().

struct ast_channel_spy_list* spies`[read]`

Chan Spy stuff

Definition at line 413 of file channel.h.

Referenced by ast_channel_bridge(), ast_channel_spy_add(), ast_channel_spy_remove(), ast_channel_spy_stop_by_type(), ast_do_masquerade(), ast_read(), ast_write(), detach_spies(), queue_frame_to_spies(), and spy_cleanup().

struct ast_filestream* stream`[read]`

Stream itself.

Definition at line 312 of file channel.h.

Referenced by ast_closestream(), ast_control_streamfile(), ast_filehelper(), ast_hangup(), ast_moh_files_next(), ast_readstring(), ast_readstring_full(), ast_stopstream(), ast_waitstream(), ast_waitstream_exten(), ast_waitstream_fr(), ast_waitstream_full(), background_detect_exec(), dictate_exec(), gen_closestream(), handle_getoption(), handle_recordfile(), handle_streamfile(), local_ast_moh_stop(), moh_files_readframe(), and moh_files_release().

int streamid

For streaming playback, the schedule ID

Definition at line 310 of file channel.h.

Referenced by ast_channel_alloc(), ast_closestream(), and ast_readaudio_callback().

struct ast_channel_tech* tech`[read]`

Technology (point to channel driver)

Definition at line 257 of file channel.h.

Referenced by __oh323_new(), agent_digit(), agent_indicate(), agent_new(), alsa_new(), ast_answer(), ast_bridged_channel(), ast_call(), ast_channel_alloc(), ast_channel_bridge(), ast_channel_sendhtml(), ast_channel_sendurl(), ast_channel_setoption(), ast_channel_supports_html(), ast_device_state(), ast_do_masquerade(), ast_hangup(), ast_iax2_new(), ast_indicate(), ast_modem_new(), ast_read(), ast_send_image(), ast_sendtext(), ast_supports_images(), ast_transfer(), ast_write(), ast_write_video(), cb_events(), do_senddigit(), features_new(), function_iaxpeer(), local_new(), mgcp_new(), misdn_facility_exec(), misdn_new(), misdn_set_opt_exec(), nbs_new(), oss_new(), schedule_delivery(), sendtext_exec(), sip_new(), skinny_new(), transfer_exec(), vpb_hangup(), vpb_new(), wait_for_answer(), and zt_new().

void* tech_pvt

Private data used by the technology driver

Definition at line 260 of file channel.h.

Referenced by __oh323_destroy(), __oh323_new(), __sip_destroy(), __zt_exception(), agent_bridgedchannel(), agent_call(), agent_cleanup(), agent_digit(), agent_fixup(), agent_hangup(), agent_indicate(), agent_new(), agent_read(), agent_sendhtml(), agent_sendtext(), agent_start_monitoring(), agent_write(), alsa_fixup(), alsa_hangup(), alsa_new(), ast_channel_free(), ast_check_hangup(), ast_do_masquerade(), ast_generic_bridge(), ast_iax2_new(), ast_modem_new(), ast_rtp_bridge(), features_answer(), features_call(), features_digit(), features_fixup(), features_hangup(), features_indicate(), features_new(), features_read(), features_write(), func_header_read(), function_iaxpeer(), function_sipchaninfo_read(), iax2_answer(), iax2_bridge(), iax2_call(), iax2_digit(), iax2_fixup(), iax2_hangup(), iax2_indicate(), iax2_predestroy(), iax2_prov_app(), iax2_sendhtml(), iax2_sendimage(), iax2_sendtext(), iax2_setoption(), iax2_transfer(), iax2_write(), local_answer(), local_call(), local_digit(), local_fixup(), local_hangup(), local_indicate(), local_new(), local_sendhtml(), local_write(), mgcp_answer(), mgcp_call(), mgcp_fixup(), mgcp_get_rtp_peer(), mgcp_hangup(), mgcp_indicate(), mgcp_new(), mgcp_read(), mgcp_senddigit(), mgcp_set_rtp_peer(), mgcp_ss(), mgcp_write(), misdn_new(), misdn_send_text(), modem_answer(), modem_call(), modem_digit(), modem_fixup(), modem_hangup(), modem_read(), modem_write(), nbs_call(), nbs_hangup(), nbs_new(), nbs_xread(), nbs_xwrite(), oh323_answer(), oh323_call(), oh323_digit(), oh323_fixup(), oh323_get_rtp_peer(), oh323_hangup(), oh323_indicate(), oh323_read(), oh323_set_rtp_peer(), oh323_update_info(), oh323_write(), oss_answer(), oss_call(), oss_fixup(), oss_hangup(), oss_indicate(), oss_new(), oss_read(), oss_write(), phone_answer(), phone_call(), phone_digit(), phone_exception(), phone_fixup(), phone_hangup(), phone_read(), phone_send_text(), phone_setup(), phone_write(), sip_answer(), sip_call(), sip_dtmfmode(), sip_fixup(), sip_get_codec(), sip_get_rtp_peer(), sip_get_vrtp_peer(), sip_getheader(), sip_hangup(), sip_indicate(), sip_new(), sip_read(), sip_senddigit(), sip_sendtext(), sip_set_rtp_peer(), sip_transfer(), sip_write(), skinny_answer(), skinny_call(), skinny_fixup(), skinny_get_rtp_peer(), skinny_hangup(), skinny_indicate(), skinny_new(), skinny_read(), skinny_senddigit(), skinny_set_rtp_peer(), skinny_ss(), skinny_write(), ss_thread(), vpb_answer(), vpb_bridge(), vpb_call(), vpb_digit(), vpb_fixup(), vpb_hangup(), vpb_indicate(), vpb_new(), vpb_read(), vpb_write(), zt_answer(), zt_bridge(), zt_call(), zt_callwait(), zt_digit(), zt_exception(), zt_fixup(), zt_handle_dtmfup(), zt_handle_event(), zt_hangup(), zt_indicate(), zt_new(), zt_read(), zt_sendtext(), zt_setoption(), and zt_write().

void* timingdata

Definition at line 323 of file channel.h.

Referenced by ast_read(), and ast_settimeout().

int timingfd

Timing fd

Definition at line 321 of file channel.h.

Referenced by ast_channel_alloc(), ast_channel_free(), ast_do_masquerade(), ast_queue_frame(), ast_read(), ast_readaudio_callback(), ast_settimeout(), restore_channel(), and update_features().

int(* timingfunc)(void *data)

Referenced by ast_read(), ast_settimeout(), ast_waitstream(), ast_waitstream_exten(), ast_waitstream_fr(), ast_waitstream_full(), and background_detect_exec().

unsigned short transfercapability

ISDN Transfer Capbility - AST_FLAG_DIGITAL is not enough

Definition at line 399 of file channel.h.

Referenced by cb_events(), dial_exec_full(), misdn_call(), settransfercapability_exec(), zt_call(), zt_new(), and zt_request().

const char* type

Type of channel

Definition at line 265 of file channel.h.

Referenced by __oh323_new(), agent_new(), agent_read(), alsa_new(), ast_do_masquerade(), ast_iax2_new(), ast_modem_new(), ast_serialize_showchan(), conf_exec(), conf_run(), features_new(), flash_exec(), func_header_read(), function_sipchaninfo_read(), get_proto(), handle_showchan(), iax2_bridge(), iax2_prov_app(), local_new(), mgcp_new(), misdn_new(), nbs_new(), oss_new(), setup_env(), sip_dtmfmode(), sip_getheader(), sip_new(), skinny_new(), softhangup_exec(), ss_thread(), transfer_exec(), try_calling(), vpb_new(), zapras_exec(), and zt_new().

char uniqueid[32]

Definition at line 384 of file channel.h.

Referenced by __agent_start_monitoring(), __login_exec(), action_status(), agent_hangup(), ast_cdr_init(), ast_change_name(), ast_channel_alloc(), ast_channel_bridge(), ast_do_masquerade(), ast_hangup(), ast_request(), ast_serialize_showchan(), ast_set_callerid(), ast_setstate(), conf_run(), fast_originate(), handle_showchan(), pbx_extension_helper(), pbx_retrieve_variable(), process_sdp(), queue_exec(), realtime_exec(), senddialevent(), setup_env(), socket_read(), try_calling(), userevent_exec(), and wait_our_turn().

struct varshead varshead`[read]`

Definition at line 390 of file channel.h.

Referenced by aPGSQL_fetch(), ast_channel_alloc(), ast_channel_free(), ast_channel_inherit_variables(), clone_variables(), launch_page(), local_call(), mgcp_call(), pbx_builtin_getvar_helper(), pbx_builtin_pushvar_helper(), pbx_builtin_serialize_variables(), pbx_builtin_setvar_helper(), pbx_retrieve_variable(), pbx_substitute_variables_helper(), sip_call(), and transmit_invite().

struct ast_filestream* vstream`[read]`

Video Stream itself.

Definition at line 316 of file channel.h.

Referenced by ast_closestream(), ast_filehelper(), ast_hangup(), and ast_stopstream().

int vstreamid

For streaming video playback, the schedule ID

Definition at line 314 of file channel.h.

Referenced by ast_closestream(), and ast_readvideo_callback().

time_t whentohangup

Non-zero, set to actual time when channel is to be hung up

Definition at line 292 of file channel.h.

Referenced by __ast_pbx_run(), ast_channel_cmpwhentohangup(), ast_channel_setwhentohangup(), ast_check_hangup(), ast_serialize_showchan(), ast_waitfor_nandfds(), builtin_function_timeout_read(), builtin_function_timeout_write(), dial_exec_full(), handle_autohangup(), handle_showchan(), ring_entry(), rpt(), and rpt_exec().

int writeformat

Requested write format

Definition at line 335 of file channel.h.

Referenced by __login_exec(), __oh323_new(), __oh323_update_info(), adsi_transmit_message_full(), agent_new(), agent_write(), alsa_new(), ast_async_goto(), ast_channel_bridge(), ast_channel_make_compatible(), ast_channel_start_silence_generator(), ast_do_masquerade(), ast_filehelper(), ast_iax2_new(), ast_masq_park_call(), ast_openstream_full(), ast_serialize_showchan(), ast_set_write_format(), builtin_atxfer(), chanspy_exec(), check_goto_on_transfer(), features_new(), handle_showchan(), iax2_request(), iax_park(), linear_alloc(), local_new(), mgcp_new(), mgcp_rtp_read(), mgcp_write(), misdn_new(), moh_alloc(), moh_files_alloc(), mp3_exec(), nbs_new(), NBScat_exec(), oh323_rtp_read(), oh323_set_rtp_peer(), oh323_write(), oss_new(), playtones_alloc(), process_sdp(), send_waveform_to_channel(), setup_rtp_connection(), sip_new(), sip_park(), sip_rtp_read(), sip_write(), skinny_new(), skinny_rtp_read(), skinny_write(), tonepair_alloc(), update_features(), and zt_new().

struct ast_trans_pvt* writetrans`[read]`

Write translation path

Definition at line 404 of file channel.h.

Referenced by ast_channel_free(), ast_set_write_format(), ast_write(), and free_translation().

struct tone_zone* zone`[read]`

Tone zone as set in indications.conf

Definition at line 370 of file channel.h.

Referenced by ast_app_dtget(), ast_indicate(), dialtone_indicate(), handle_playtones(), and play_dialtone().

The documentation for this struct was generated from the following file:

- channel.h